## org.gnu.gtk
Class ToggleButton

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.Widget
                  org.gnu.gtk.Container
                      org.gnu.gtk.Bin
                          org.gnu.gtk.Button
                              org.gnu.gtk.ToggleButton

Direct Known Subclasses:
  CheckButton

public class ToggleButton
extends Button

A ToggleButton is a button that changes and retains its on or off state each time it is selected with the mouse. When in the on state, it will appear to be pressed in.

See Also:
  `CheckButton`, `RadioButton`, `Button`

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`ToggleButton()` Creates a new toggle button.
`ToggleButton(Handle handle)` Construct a toggle button using a handle to a native resource.
`ToggleButton(java.lang.String label, boolean hasMnemonic)` Creates a new toggle button with a text label.

Method Summary
`void` `addListener(ToggleListener listener)` Register an object to handle button events.
`protected void` `fireToggleEvent(ToggleEvent event)`
`java.lang.Class` `getEventListenerClass(java.lang.String signal)`
`EventType` `getEventType(java.lang.String signal)`
`boolean` `getInconsistent()` Return whether this is in the inconsistent state
`boolean` `getState()` Returns the state of the toggle button
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static boolean` `gtk_toggle_button_get_active(Handle toggle_button)`
`protected static boolean` `gtk_toggle_button_get_inconsistent(Handle toggle_button)`
`protected static boolean` `gtk_toggle_button_get_mode(Handle toggle_button)`
`protected static int` `gtk_toggle_button_get_type()`
`protected static Handle` `gtk_toggle_button_new_with_label(java.lang.String label)`
`protected static Handle` `gtk_toggle_button_new_with_mnemonic(java.lang.String label)`
`protected static Handle` `gtk_toggle_button_new()`
`protected static void` `gtk_toggle_button_set_active(Handle toggle_button, boolean isActive)`
`protected static void` `gtk_toggle_button_set_inconsistent(Handle toggle_button, boolean setting)`
`protected static void` `gtk_toggle_button_set_mode(Handle toggle_button, boolean drawIndicator)`
`protected static void` `gtk_toggle_button_toggled(Handle toggle_button)`
`void` `removeListener(ToggleListener listener)` Removes a listener
`void` `setInconsistent(boolean isInconsistent)` Determines whether the toggle button should be in the half-on, or inconsistent state.
`void` `setState(boolean state)` Modifies the state of the toggle button

Methods inherited from class org.gnu.gtk.Button

`addListener, click, enter, fireButtonEvent, getFocusOnClick, getImage, getLabel, getRelief, getUseStock, getUseUnderline, getXAlignment, getYAlignment, gtk_button_clicked, gtk_button_enter, gtk_button_get_alignment, gtk_button_get_focus_on_click, gtk_button_get_image, gtk_button_get_label, gtk_button_get_relief, gtk_button_get_type, gtk_button_get_use_stock, gtk_button_get_use_underline, gtk_button_leave, gtk_button_new_from_stock, gtk_button_new_with_label, gtk_button_new_with_mnemonic, gtk_button_new, gtk_button_pressed, gtk_button_released, gtk_button_set_alignment, gtk_button_set_focus_on_click, gtk_button_set_image, gtk_button_set_label, gtk_button_set_relief, gtk_button_set_use_stock, gtk_button_set_use_underline, leave, press, release, removeListener, setAlignment, setFocusOnClick, setImage, setLabel, setRelief, setUseStock, setUseUnderline`

Methods inherited from class org.gnu.gtk.Bin
`getChild, gtk_bin_get_child, gtk_bin_get_type`

Methods inherited from class org.gnu.gtk.Container

`add, addListener, fireContainerEvent, getBorderWidth, getChildren, getResizeMode, gtk_container_add, gtk_container_check_resize, gtk_container_child_type, gtk_container_get_border_width, gtk_container_get_children, gtk_container_get_focus_chain, gtk_container_get_focus_hadjustment, gtk_container_get_focus_vadjustment, gtk_container_get_resize_mode, gtk_container_get_type, gtk_container_propagate_expose, gtk_container_remove, gtk_container_resize_children, gtk_container_set_border_width, gtk_container_set_focus_chain, gtk_container_set_focus_child, gtk_container_set_focus_hadjustment, gtk_container_set_focus_vadjustment, gtk_container_set_reallocate_redraws, gtk_container_set_resize_mode, gtk_container_unset_focus_chain, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, destroy, draw, drawArea, drawArea, findListener, finish, fireBooleanLifeCycleEvent, fireDragDestinationEvent, fireDragSourceEvent, fireExposeEvent, fireFocusEvent, fireKeyEvent, fireLifeCycleEvent, fireMouseEvent, fireMouseMotionEvent, getAccessible, getColormap, getContext, getData, getDisplay, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWindow, grabDefault, grabFocus, gtk_drag_dest_set, gtk_drag_dest_unset, gtk_drag_finish, gtk_drag_get_data, gtk_drag_highlight, gtk_drag_source_set_icon_pixbuf, gtk_drag_source_set_icon_stock, gtk_drag_source_set_icon, gtk_drag_source_set, gtk_drag_source_unset, gtk_drag_unhighlight, gtk_widget_activate, gtk_widget_add_accelerator, gtk_widget_add_events, gtk_widget_add_mnemonic_label, gtk_widget_can_activate_accel, gtk_widget_child_focus, gtk_widget_child_notify, gtk_widget_class_path, gtk_widget_create_pango_context, gtk_widget_create_pango_layout, gtk_widget_destroy, gtk_widget_destroyed, gtk_widget_ensure_style, gtk_widget_event, gtk_widget_freeze_child_notify, gtk_widget_get_accessible, gtk_widget_get_ancestor, gtk_widget_get_child_requisition, gtk_widget_get_child_visible, gtk_widget_get_colormap, gtk_widget_get_composite_name, gtk_widget_get_default_colormap, gtk_widget_get_default_direction, gtk_widget_get_default_style, gtk_widget_get_default_visual, gtk_widget_get_direction, gtk_widget_get_display, gtk_widget_get_events, gtk_widget_get_extension_events, gtk_widget_get_modifier_style, gtk_widget_get_name, gtk_widget_get_pango_context, gtk_widget_get_parent_window, gtk_widget_get_parent, gtk_widget_get_pointer, gtk_widget_get_root_window, gtk_widget_get_screen, gtk_widget_get_sensitive, gtk_widget_get_settings, gtk_widget_get_size_request, gtk_widget_get_style, gtk_widget_get_toplevel, gtk_widget_get_type, gtk_widget_get_visual, gtk_widget_get_window, gtk_widget_grab_default, gtk_widget_grab_focus, gtk_widget_has_screen, gtk_widget_hide_all, gtk_widget_hide_on_delete, gtk_widget_hide, gtk_widget_intersect, gtk_widget_is_ancestor, gtk_widget_is_focus, gtk_widget_list_accel_closures, gtk_widget_list_mnemonic_labels, gtk_widget_map, gtk_widget_mnemonic_activate, gtk_widget_modify_base, gtk_widget_modify_bg, gtk_widget_modify_fg, gtk_widget_modify_font, gtk_widget_modify_style, gtk_widget_modify_text, gtk_widget_path, gtk_widget_pop_colormap, gtk_widget_pop_composite_child, gtk_widget_push_colormap, gtk_widget_push_composite_child, gtk_widget_queue_draw_area, gtk_widget_queue_draw, gtk_widget_queue_resize, gtk_widget_realize, gtk_widget_ref, gtk_widget_region_intersect, gtk_widget_remove_accelerator, gtk_widget_remove_mnemonic_label, gtk_widget_render_icon, gtk_widget_reparent, gtk_widget_reset_rc_styles, gtk_widget_send_expose, gtk_widget_set_accel_path, gtk_widget_set_app_paintable, gtk_widget_set_child_visible, gtk_widget_set_colormap, gtk_widget_set_composite_name, gtk_widget_set_default_colormap, gtk_widget_set_default_direction, gtk_widget_set_direction, gtk_widget_set_double_buffered, gtk_widget_set_events, gtk_widget_set_extension_events, gtk_widget_set_name, gtk_widget_set_parent_window, gtk_widget_set_parent, gtk_widget_set_redraw_on_allocate, gtk_widget_set_scroll_adjustments, gtk_widget_set_sensitive, gtk_widget_set_size_request, gtk_widget_set_state, gtk_widget_set_style, gtk_widget_shape_combine_mask, gtk_widget_show_all, gtk_widget_show_now, gtk_widget_show, gtk_widget_size_allocate, gtk_widget_size_request, gtk_widget_style_get_property, gtk_widget_thaw_child_notify, gtk_widget_translate_coordinates, gtk_widget_unmap, gtk_widget_unparent, gtk_widget_unrealize, gtk_widget_unref, handleButtonPressed, handleButtonReleased, handleDelete, handleDragDataGet, handleDragDestination, handleExpose, handleFocusIn, handleFocusOut, handleHide, handleKeyPressed, handleKeyReleased, handleMap, handleMouseEnter, handleMouseLeave, handleMouseMotion, handleNoExpose, handleRealize, handleScroll, handleShow, handleUnmap, hasFocus, hasScreen, hide, hideAll, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToggleButton

    public ToggleButton()

  Creates a new toggle button.

### ToggleButton

    public ToggleButton(Handle handle)

  Construct a toggle button using a handle to a native resource.

### ToggleButton

    public ToggleButton(java.lang.String label,
                        boolean hasMnemonic)

  Creates a new toggle button with a text label. If the hasMnemonic Label is set, the button is assumes to contain mnemonic characters; that is characters which are preceeded by an underscore. These will appear underlined and will be used as keyboard accelerators.

Parameters:
  `label` - The text to be displayed on the button
  `hasMnemonic` - If true, keyboeard accelerators will be interpreted.

Method Detail

### setState

    public void setState(boolean state)

  Modifies the state of the toggle button

  Parameters:
    `state` - If true, the button is in the 'on', or 'pressed in' state.

### getState

    public boolean getState()

  Returns the state of the toggle button

  Returns:
    True if the button is on or 'pressed in'.

### setInconsistent

    public void setInconsistent(boolean isInconsistent)

  Determines whether the toggle button should be in the half-on, or inconsistent state. This is envirely a visual setting - changes to this will not affect the state of the button as returned by `getState()`.

  Parameters:
    `isInconsistent` - If true, the button will appear in the in-between state.

### getInconsistent

    public boolean getInconsistent()

  Return whether this is in the inconsistent state

  Returns:
    True if the 'inbetween' state is in use
  See Also:
    `setInconsistent(boolean)`

### addListener

    public void addListener(ToggleListener listener)

  Register an object to handle button events.

  See Also:
    `ToggleListener`

### removeListener

    public void removeListener(ToggleListener listener)

  Removes a listener

  See Also:
    `addListener(ToggleListener)`

### fireToggleEvent

    protected void fireToggleEvent(ToggleEvent event)

### getEventListenerClass

    public java.lang.Class getEventListenerClass(java.lang.String signal)

  Overrides:
    `getEventListenerClass` in class `Button`

### getEventType

    public EventType getEventType(java.lang.String signal)

  Overrides:
    `getEventType` in class `Button`

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### gtk_toggle_button_get_type

    protected static final int gtk_toggle_button_get_type()

### gtk_toggle_button_new

    protected static final Handle gtk_toggle_button_new()

### gtk_toggle_button_new_with_label

    protected static final Handle gtk_toggle_button_new_with_label(java.lang.String label)

### gtk_toggle_button_new_with_mnemonic

    protected static final Handle gtk_toggle_button_new_with_mnemonic(java.lang.String label)

### gtk_toggle_button_set_mode

    protected static final void gtk_toggle_button_set_mode(Handle toggle_button,
                                                           boolean drawIndicator)

### gtk_toggle_button_get_mode

    protected static final boolean gtk_toggle_button_get_mode(Handle toggle_button)

### gtk_toggle_button_set_active

    protected static final void gtk_toggle_button_set_active(Handle toggle_button,
                                                             boolean isActive)

### gtk_toggle_button_get_active

    protected static final boolean gtk_toggle_button_get_active(Handle toggle_button)

### gtk_toggle_button_toggled

    protected static final void gtk_toggle_button_toggled(Handle toggle_button)

### gtk_toggle_button_set_inconsistent

    protected static final void gtk_toggle_button_set_inconsistent(Handle toggle_button,
                                                                   boolean setting)

### gtk_toggle_button_get_inconsistent

    protected static final boolean gtk_toggle_button_get_inconsistent(Handle toggle_button)